### Hierarchy

- VerifyRepositoryImpl

### Implements

- VerifyRepository

## Index

### Constructors

- constructor

### Methods

- fixDanglingOfferSearchesByCreatingInteractions
- getAccountsByPublicKeys
- getAllAccounts
- getDanglingOfferInteractions
- getDanglingOfferSearches
- getOfferSearchesByIds
- getSearchRequestWithSameTags

## Constructors

### constructor

- new VerifyRepositoryImpl(transport: HttpTransport): VerifyRepositoryImpl

- - Defined in repository/verify/VerifyRepositoryImpl.ts:21

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns VerifyRepositoryImpl

## Methods

### fixDanglingOfferSearchesByCreatingInteractions

- fixDanglingOfferSearchesByCreatingInteractions(): Promise<Array<OfferInteraction>>

- Implementation of VerifyRepository.fixDanglingOfferSearchesByCreatingInteractions

  - Defined in repository/verify/VerifyRepositoryImpl.ts:65

  #### Returns Promise<Array<OfferInteraction>>

### getAccountsByPublicKeys

- getAccountsByPublicKeys(publicKeys: Array<string>): Promise<Array<Account>>

- Implementation of VerifyRepository.getAccountsByPublicKeys

  - Defined in repository/verify/VerifyRepositoryImpl.ts:35

  #### Parameters

  - ##### publicKeys: Array<string>

  #### Returns Promise<Array<Account>>

### getAllAccounts

- getAllAccounts(fromDate: Date): Promise<Array<Account>>

- Implementation of VerifyRepository.getAllAccounts

  - Defined in repository/verify/VerifyRepositoryImpl.ts:43

  #### Parameters

  - ##### fromDate: Date

  #### Returns Promise<Array<Account>>

### getDanglingOfferInteractions

- getDanglingOfferInteractions(): Promise<Array<OfferInteraction>>

- Implementation of VerifyRepository.getDanglingOfferInteractions

  - Defined in repository/verify/VerifyRepositoryImpl.ts:58

  #### Returns Promise<Array<OfferInteraction>>

### getDanglingOfferSearches

- getDanglingOfferSearches(type: number): Promise<Array<OfferSearch>>

- Implementation of VerifyRepository.getDanglingOfferSearches

  - Defined in repository/verify/VerifyRepositoryImpl.ts:51

  #### Parameters

  - ##### type: number

  #### Returns Promise<Array<OfferSearch>>

### getOfferSearchesByIds

- getOfferSearchesByIds(ids: Array<number>): Promise<Array<OfferSearch>>

- Implementation of VerifyRepository.getOfferSearchesByIds

  - Defined in repository/verify/VerifyRepositoryImpl.ts:27

  #### Parameters

  - ##### ids: Array<number>

  #### Returns Promise<Array<OfferSearch>>

### getSearchRequestWithSameTags

- getSearchRequestWithSameTags(): Promise<Array<SearchRequest>>

- Implementation of VerifyRepository.getSearchRequestWithSameTags

  - Defined in repository/verify/VerifyRepositoryImpl.ts:72

  #### Returns Promise<Array<SearchRequest>>

Generated using TypeDoc